update:dependencies:
  extends: .default:vue
  stage: prepare
  cache: 
    key: $CI_COMMIT_REF_SLUG
    paths:
      - node_modules/
    policy: push
  before_script:
    - date
    - cd vue
  script:
    - npm ci
  rules:
    - changes:
      - package-lock.json
  timeout: 5m